This bugzilla service is closed. All entries have been migrated to https://gitlab.com/libeigen/eigen
Bug 914 - Intel compiler not correctly detected on windows
Summary: Intel compiler not correctly detected on windows
Status: RESOLVED FIXED
Alias: None
Product: Eigen
Classification: Unclassified
Component: Unsupported modules (show other bugs)
Version: unspecified
Hardware: x86 - 64-bit Windows
: Normal Compilation Problem
Assignee: Nobody
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-08 14:57 UTC by ycollet
Modified: 2019-12-04 13:57 UTC (History)
2 users (show)



Attachments
Fix attempt (1.97 KB, patch)
2014-12-16 22:36 UTC, Gael Guennebaud
no flags Details | Diff

Description ycollet 2014-12-08 14:57:52 UTC
Under Windows 64 bits + cmake 2.8.12.1, and with visual studio 2008 + intel compiler 2014, the intel compiler is not correctly detected by cmake.
Here is the log of the cmake command:



-- Standard libraries to link to explicitly: none
-- Found unsuitable Qt version "" from NOTFOUND
Intel(R) C++ Intel(R) 64 Compiler XE for applications running on Intel(R) 64, Version 14.0.2.176 Build 20140130
Copyright (C) 1985-2014 Intel Corporation.  All rights reserved.
icl: command line warning #10006: ignoring unknown option '/-version'

icl: command line error: no files specified; for help type "icl /help"
CMake Error at cmake/EigenTesting.cmake:336 (string):
  string sub-command REGEX, mode REPLACE needs at least 6 arguments total to
  command.
Call Stack (most recent call first):
  cmake/EigenTesting.cmake:428 (ei_get_compilerver)
  cmake/EigenConfigureTesting.cmake:8 (ei_set_build_string)
  CMakeLists.txt:349 (include)


CMake Error at cmake/EigenTesting.cmake:350 (string):
  string sub-command REGEX, mode MATCH needs at least 5 arguments total to
  command.
Call Stack (most recent call first):
  cmake/EigenTesting.cmake:339 (ei_get_compilerver_from_cxx_version_string)
  cmake/EigenTesting.cmake:428 (ei_get_compilerver)
  cmake/EigenConfigureTesting.cmake:8 (ei_set_build_string)
  CMakeLists.txt:349 (include)


-- E:/Jenkins_Slave/workspace/INRIA_Metis_Windows/METIS_BUILD_64/Dependencies/Eigen/src/EP_Eigen/build/test
-- Could NOT find CHOLMOD (missing:  CHOLMOD_INCLUDES CHOLMOD_LIBRARIES) 
-- Could NOT find UMFPACK (missing:  UMFPACK_INCLUDES UMFPACK_LIBRARIES) 
-- Could NOT find SUPERLU (missing:  SUPERLU_INCLUDES SUPERLU_LIBRARIES) 
-- Could NOT find PASTIX (missing:  PASTIX_INCLUDES PASTIX_LIBRARIES) 
-- Could NOT find SCOTCH (missing:  SCOTCH_INCLUDES SCOTCH_LIBRARIES) 
-- Could NOT find METIS (missing:  METIS_INCLUDES METIS_LIBRARIES) 
-- Could NOT find SPQR (missing:  SPQR_INCLUDES SPQR_LIBRARIES) 
-- Found unsuitable Qt version "" from NOTFOUND
CMake Warning at blas/CMakeLists.txt:32 (message):
   No fortran compiler has been detected, the blas build will be incomplete.


-- Could NOT find GOOGLEHASH (missing:  GOOGLEHASH_INCLUDES GOOGLEHASH_COMPILE) 
-- Could NOT find ADOLC (missing:  ADOLC_INCLUDES ADOLC_LIBRARIES) 
-- Could NOT find MPFR (missing:  MPFR_INCLUDES MPFR_LIBRARIES MPFR_VERSION_OK) (Required is at least version "2.3.0")
-- Could NOT find GMP (missing:  GMP_INCLUDES GMP_LIBRARIES) 
-- Could NOT find PkgConfig (missing:  PKG_CONFIG_EXECUTABLE) 
-- Could NOT find FFTW (missing:  FFTW_INCLUDES FFTW_LIBRARIES) 
-- Could NOT find GLUT (missing:  GLUT_glut_LIBRARY GLUT_INCLUDE_DIR) 
-- Found unsuitable Qt version "" from NOTFOUND
-- Qt4 not found, so disabling the mandelbrot and opengl demos
-- ************************************************************
-- ***    Eigen's unit tests configuration summary          ***
-- ************************************************************
-- 
-- Build type:        RELEASE
-- Build site:        serveur03
-- Build string:      winvista---sse2-64bit
-- Enabled backends:  
-- Disabled backends: Cholmod,  UmfPack,  SuperLU,  PaStiX,  METIS,  Qt4 support,  GoogleHash,  Adolc,  MPFR C++,  fftw,  OpenGL, 
-- Default order:     Column-major
-- Maximal matrix/vector size: 320
-- SSE2:              Using architecture defaults
-- SSE3:              Using architecture defaults
-- SSSE3:             Using architecture defaults
-- SSE4.1:            Using architecture defaults
-- SSE4.2:            Using architecture defaults
-- Altivec:           Using architecture defaults
-- ARM NEON:          Using architecture defaults
-- 
CXX:               D:/Intel/Composer XE 2013 SP1/bin/intel64/icl.exe
 CXX_FLAGS:          /DWIN32 /D_WINDOWS /W3 /Zm1000 /EHsc /GR -fexceptions
 Sparse lib flags:   

-- ************************************************************
-- 
-- Configured Eigen 3.2.2
-- 
-- Some things you can do now:
-- --------------+--------------------------------------------------------------
-- Command       |   Description
-- --------------+--------------------------------------------------------------
-- make install  | Install to E:/Jenkins_Slave/workspace/INRIA_Metis_Windows/METIS_BUILD_64/Dependencies/install. To change that:
--               |     cmake . -DCMAKE_INSTALL_PREFIX=yourpath
--               |   Eigen headers will then be installed to:
--               |     E:/Jenkins_Slave/workspace/INRIA_Metis_Windows/METIS_BUILD_64/Dependencies/install/include/eigen3
--               |   To install Eigen headers to a separate location, do:
--               |     cmake . -DEIGEN_INCLUDE_INSTALL_DIR=yourpath
-- make doc      | Generate the API documentation, requires Doxygen & LaTeX
-- make check    | Build and run the unit-tests. Read this page:
--               |   http://eigen.tuxfamily.org/index.php?title=Tests
-- make blas     | Build BLAS library (not the same thing as Eigen)
-- --------------+--------------------------------------------------------------
-- 
-- Configuring incomplete, errors occurred!
See also "E:/Jenkins_Slave/workspace/INRIA_Metis_Windows/METIS_BUILD_64/Dependencies/Eigen/src/EP_Eigen/build/CMakeFiles/CMakeOutput.log".
See also "E:/Jenkins_Slave/workspace/INRIA_Metis_Windows/METIS_BUILD_64/Dependencies/Eigen/src/EP_Eigen/build/CMakeFiles/CMakeError.log".
Comment 1 Gael Guennebaud 2014-12-16 22:36:06 UTC
Created attachment 509 [details]
Fix attempt

Could you try the attached patch. Thank you.
Comment 3 Nobody 2019-12-04 13:57:04 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to gitlab.com's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.com/libeigen/eigen/issues/914.

Note You need to log in before you can comment on or make changes to this bug.